Event detail (for managers)

GET/manage/events/:eventId

Retrieve an event for management. Requires staff with the eventRead permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

Notes

When accessed with an OAuth access token, `email` fields are recursively removed from the response JSON (they are retained for session-authenticated dashboard access).

Request
curl https://api.4s.link/manage/events/EVENT_ID \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "e1f2a3b4-...",
"slug": "tech-conf-2026",
"title": "4S Tech Conference 2026",
"description": "...",
"state": "DRAFT",
"eventType": "HYBRID",
"timezone": "Asia/Tokyo",
"schedules": [
{ "date": "2026-09-01", "doorTime": "09:30", "startTime": "10:00", "endTime": "18:00" }
],
"location": { "displayText": "Tokyo, Japan" },
"thumbnailUrl": "https://.../thumb.png",
"organizers": [
{ "id": "eo1a2b3-...", "communityId": "c1a2b3c4-...", "userId": null }
],
"tags": []
}